taccuino.vo

## Class RilevazioneRequestDTO

- java.lang.Object
- - taccuino.vo.RilevazioneRequestDTO

- Direct Known Subclasses:
    RilevazioneResponseDTO

      public class RilevazioneRequestDTO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RilevazioneRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getCodeSystem()`
    `java.lang.String` | `getCodeSystemName()`
    `java.lang.Double` | `getCodeSystemVersion()`
    `java.time.LocalDate` | `getDataRilevazione()`
    `java.lang.String` | `getModalitaRilevazione()`
    `java.lang.String` | `getTipoRilevazione()`
    `java.lang.String` | `getUnitaDiMisura()`
    `java.lang.Double` | `getValore()`
    `void` | `setCode(java.lang.String code)`
    `void` | `setCodeSystem(java.lang.String codeSystem)`
    `void` | `setCodeSystemName(java.lang.String codeSystemName)`
    `void` | `setCodeSystemVersion(java.lang.Double codeSystemVersion)`
    `void` | `setDataRilevazione(java.time.LocalDate dataRilevazione)`
    `void` | `setModalitaRilevazione(java.lang.String modalitaRilevazione)`
    `void` | `setTipoRilevazione(java.lang.String tipoRilevazione)`
    `void` | `setUnitaDiMisura(java.lang.String unitaDiMisura)`
    `void` | `setValore(java.lang.Double valore)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RilevazioneRequestDTO

          public RilevazioneRequestDTO()

  - ### Method Detail

    - #### getModalitaRilevazione

          public java.lang.String getModalitaRilevazione()

    - #### setModalitaRilevazione

          public void setModalitaRilevazione(java.lang.String modalitaRilevazione)

    - #### getTipoRilevazione

          public java.lang.String getTipoRilevazione()

    - #### setTipoRilevazione

          public void setTipoRilevazione(java.lang.String tipoRilevazione)

    - #### getDataRilevazione

          public java.time.LocalDate getDataRilevazione()

    - #### setDataRilevazione

          public void setDataRilevazione(java.time.LocalDate dataRilevazione)

    - #### getUnitaDiMisura

          public java.lang.String getUnitaDiMisura()

    - #### setUnitaDiMisura

          public void setUnitaDiMisura(java.lang.String unitaDiMisura)

    - #### getValore

          public java.lang.Double getValore()

    - #### setValore

          public void setValore(java.lang.Double valore)

    - #### getCode

          public java.lang.String getCode()

    - #### setCode

          public void setCode(java.lang.String code)

    - #### getCodeSystem

          public java.lang.String getCodeSystem()

    - #### setCodeSystem

          public void setCodeSystem(java.lang.String codeSystem)

    - #### getCodeSystemName

          public java.lang.String getCodeSystemName()

    - #### setCodeSystemName

          public void setCodeSystemName(java.lang.String codeSystemName)

    - #### getCodeSystemVersion

          public java.lang.Double getCodeSystemVersion()

    - #### setCodeSystemVersion

          public void setCodeSystemVersion(java.lang.Double codeSystemVersion)